#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Une classe simple.

fichier : cat.py
@author: bob
"""

# Définition de classe ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
class Chat:
    """Docstring de la classe."""
    
    name = ""         # deux attributs de classe
    age = 0

    def miaou(self):  # une méthode
        print('Miaou')


# Programme principal ==========================================================
cat_1 = Chat()        # deux instanciations
cat_2 = Chat()
cat_1.name = "Félix"  # trois modifications d'attributs de classe
cat_1.age = 6
cat_2.name = "Duchesse"

print(type(cat_1))
print(f"{cat_1.name} ({cat_1.age} ans)")
cat_2.miaou()
